operations-mw-config-composer-hhvm-jessie job lacks composer cache
Closed, ResolvedPublic

Description

operations-mw-config-composer-hhvm-jessie lacks the composer cache:

00:02:14.484 - Installing phpunit/php-file-iterator (1.4.2)
00:02:14.485 Downloading
00:02:14.596 Extracting archive
00:02:14.642

That makes it slow

hashar created this task.Jan 26 2017, 11:02 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 26 2017, 11:02 AM

Change 337583 had a related patch set uploaded (by Hashar):
Add castor to operations-mw-config-composer-hhvm-jessie

https://gerrit.wikimedia.org/r/337583

On a Jessie Nodepool instance:

$ composer config --global --list|grep cache
[cache-dir] /home/jenkins/.composer/cache
[cache-files-dir] {$cache-dir}/files (/home/jenkins/.composer/cache/files)
[cache-repo-dir] {$cache-dir}/repo (/home/jenkins/.composer/cache/repo)
[cache-vcs-dir] {$cache-dir}/vcs (/home/jenkins/.composer/cache/vcs)
[cache-ttl] 15552000
[cache-files-ttl] 15552000
[cache-files-maxsize] 300MiB (314572800)

On Trusty:

$ composer config --global --list|grep cache
[cache-dir] /home/jenkins/.cache/composer
[cache-files-dir] {$cache-dir}/files (/home/jenkins/.cache/composer/files)
[cache-repo-dir] {$cache-dir}/repo (/home/jenkins/.cache/composer/repo)
[cache-vcs-dir] {$cache-dir}/vcs (/home/jenkins/.cache/composer/vcs)
[cache-ttl] 15552000
[cache-files-ttl] 15552000
[cache-files-maxsize] 300MiB (314572800)

Note how on Jessie we use ~/.composer/cache whereas on Trusty that is ~/.cache/composer

Castor only captures .cache/composer so I guess I will just make it to capture .composer/cache as well.

Change 337588 had a related patch set uploaded (by Hashar):
Castor: also capture .composer/cache

https://gerrit.wikimedia.org/r/337588

Mentioned in SAL (#wikimedia-releng) [2017-02-14T14:38:36Z] <hashar> Updating castor-save publish job to properly capture composer cache on Jessie ( it is in ~/.composer/cache for some reason) T156359

Change 337583 merged by jenkins-bot:
Add castor to operations-mw-config-composer-hhvm-jessie

https://gerrit.wikimedia.org/r/337583

Change 337588 merged by jenkins-bot:
Castor: also capture .composer/cache

https://gerrit.wikimedia.org/r/337588

hashar closed this task as "Resolved".Feb 14 2017, 2:55 PM
hashar claimed this task.